package jadex.bridge.service.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 *  Policy to use secure transmission for service calls.
 */
@Target({ElementType.TYPE, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface SecureTransmission
{
	/** Secure transmission setting. */
	public static String SECURE_TRANSMISSION = "secure_transmission";
}